Bug 105927 - Crash during Find and Replace of a Single Character Across Multiple Pages in Draw
Summary: Crash during Find and Replace of a Single Character Across Multiple Pages in ...
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Draw (show other bugs)
Version:
(earliest affected)
5.3.0.3 release
Hardware: x86-64 (AMD64) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Find-Search
  Show dependency treegraph
 
Reported: 2017-02-11 01:29 UTC by Vince Wilyard
Modified: 2018-05-30 16:47 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
File for testing (8.88 KB, application/vnd.oasis.opendocument.graphics)
2017-02-12 16:39 UTC, Buovjaga
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Vince Wilyard 2017-02-11 01:29:18 UTC
Description:
When I am editing a document by using the Find and Replace in Draw LibreOffice crashes. In the Task Manager I see that LibreOffice is at 220,000K. I have changed the Memory settings numerous times with the same result. 

I have 64GB of RAM with a 6 core processor on a 480GB SSD. 

Steps to Reproduce:
1.Enter a digit or letter in Find 
2.Enter a different digit or letter in Replace
3.Click Replace All
4.Memory usage for LibreOffice reaches 220,000K.


Actual Results:  
LibreOffice stops responding. The program has to be shutdown.

Expected Results:
It should have replaced all of the characters that I asked it to in the Find and Replace fields respectively.


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:51.0) Gecko/20100101 Firefox/51.0
Comment 1 Julien Nabet 2017-02-11 18:28:46 UTC
Do you reproduce this with a brand new Draw document containing just "test" or is it specific to a peculiar document?
Comment 2 Vince Wilyard 2017-02-11 22:44:49 UTC
(In reply to Julien Nabet from comment #1)
> Do you reproduce this with a brand new Draw document containing just "test"
> or is it specific to a peculiar document?

Hello Julien,

I just tried it on a new document. It takes longer to happen, but LibreOffice stops responding at about 300,000K.

Thank you for responding to my bug submission.
Comment 3 Julien Nabet 2017-02-12 15:28:43 UTC
I don't succeed in reproducing this, certainly someone will.
Comment 4 Vince Wilyard 2017-02-12 15:41:00 UTC
(In reply to Julien Nabet from comment #3)
> I don't succeed in reproducing this, certainly someone will.

Thank you for looking into the bug. I downloaded and installed OpenOffice last night. When I used OpenOffice Draw and open the same file and perform the same operation using the same memory settings it works fine. 

Thank you again.
Comment 5 Buovjaga 2017-02-12 16:39:40 UTC
Created attachment 131147 [details]
File for testing

I created a draw file for testing.

When I replace the letter s with 3, it works fine.

Vince: does it hang for you with my file?

Version: 5.3.0.3 (x64)
Build ID: 7074905676c47b82bbcfbea1aeefc84afe1c50e1
CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; Layout Engine: new; 
Locale: fi-FI (fi_FI); Calc: group
Comment 6 Vince Wilyard 2017-02-12 16:51:26 UTC
(In reply to Buovjaga from comment #5)
> Created attachment 131147 [details]
> File for testing
> 
> I created a draw file for testing.
> 
> When I replace the letter s with 3, it works fine.
> 
> Vince: does it hang for you with my file?
> 
> Version: 5.3.0.3 (x64)
> Build ID: 7074905676c47b82bbcfbea1aeefc84afe1c50e1
> CPU Threads: 4; OS Version: Windows 6.19; UI Render: default; Layout Engine:
> new; 
> Locale: fi-FI (fi_FI); Calc: group

Your file worked fine for me. However my files are 132 pages in size. The characters are grouped together in different ways. So maybe that is the difference. I just do not understand why OpenOffice can handle the same file with relative ease compared to LibreOffice. OpenOffice is 32bit and LibreOffice is 64bit.

Thank you for your help Buovjaga.
Comment 7 Buovjaga 2017-02-12 17:06:36 UTC
(In reply to Vince Wilyard from comment #6)
> Your file worked fine for me. However my files are 132 pages in size. The
> characters are grouped together in different ways. So maybe that is the
> difference. I just do not understand why OpenOffice can handle the same file
> with relative ease compared to LibreOffice. OpenOffice is 32bit and
> LibreOffice is 64bit.

Well, that's the key info :) You need to attach a file for testing.
Comment 8 Vince Wilyard 2017-02-12 21:03:24 UTC
(In reply to Buovjaga from comment #7)
> (In reply to Vince Wilyard from comment #6)
> > Your file worked fine for me. However my files are 132 pages in size. The
> > characters are grouped together in different ways. So maybe that is the
> > difference. I just do not understand why OpenOffice can handle the same file
> > with relative ease compared to LibreOffice. OpenOffice is 32bit and
> > LibreOffice is 64bit.
> 
> Well, that's the key info :) You need to attach a file for testing.

Thank you for replying again. I would love to upload the file but it is a work in progress subject to some intellectual property rules that I can not violate. I am currently going back and forth between LibreOffice and OpenOffice. I have also been tweaking the memory settings on LibreOffice. 

I am just not sure if I have to restart the machine in order for the memory settings to take effect.
Comment 9 Buovjaga 2017-02-13 05:18:08 UTC
Ok, then this is your only option to give useful information: https://wiki.documentfoundation.org/How_to_get_a_backtrace_with_WinDbg
Comment 10 Vince Wilyard 2017-02-13 17:35:44 UTC
(In reply to Buovjaga from comment #9)
> Ok, then this is your only option to give useful information:
> https://wiki.documentfoundation.org/How_to_get_a_backtrace_with_WinDbg

Buovjaga,

Thank you for the instructions. I performed the steps as outlined. The strange thing is this. When I run the find and replace without any mouse or touch input it completes at little slowly, but it finishes. However, when I click the mouse or touch the screen, then Draw / Office goes into "Not Responding". It hangs there forever until I kill the task.

The debugger only picked up that I forced LibreOffice to quit. I should have been clearer that the program hangs / freezes; it never shuts down until I kill the task.

My memory options are set as follows:
   -Use for LibreOffice: 256MB
   -Memory Per Object: 20MB
   -Remove from Memory: 10 Minutes
   -Number of Objects: 10.

So after countless attempts to isolate the problem, I can safely say that LibreOffice does not like when I click the mouse or touch the screen when I am running the Find and Replace All.

I hope this helps.

Thank you again for your help.
Comment 11 Vince Wilyard 2017-02-14 03:28:48 UTC
Thank you to everyone for your help so far.

Here is what I am doing to get LibreDraw to do what I want it to do.

1. Open File.
2. Perform a Find and Replace edit.
3. Let it complete without touching the mouse in any application. The Replace All 
   remains pushed down on the screen.
4. Save the file with a desired new name. 
5. Close the file.
6. Close LibreOffice.
7. Repeat.

If I click anywhere in any application during the Replace All edit, then LibreOffice stops responding, and then I have to kill the operation / task. So I follow the above steps.
Comment 12 Jean-Baptiste Faure 2017-02-21 17:02:44 UTC
(In reply to Vince Wilyard from comment #11)
> Thank you to everyone for your help so far.
> 
> Here is what I am doing to get LibreDraw to do what I want it to do.
> 
> 1. Open File.
> 2. Perform a Find and Replace edit.
> 3. Let it complete without touching the mouse in any application. The
> Replace All 
>    remains pushed down on the screen.
> 4. Save the file with a desired new name. 
> 5. Close the file.
> 6. Close LibreOffice.
> 7. Repeat.
> 
> If I click anywhere in any application during the Replace All edit, then
> LibreOffice stops responding, and then I have to kill the operation / task.
> So I follow the above steps.

Is it not enough to close the Find&Replace dialog when Replace All has finished, that is right after 3?

Best regards. JBF
Comment 13 Vince Wilyard 2017-02-21 21:49:34 UTC
(In reply to Jean-Baptiste Faure from comment #12)
> (In reply to Vince Wilyard from comment #11)
> > Thank you to everyone for your help so far.
> > 
> > Here is what I am doing to get LibreDraw to do what I want it to do.
> > 
> > 1. Open File.
> > 2. Perform a Find and Replace edit.
> > 3. Let it complete without touching the mouse in any application. The
> > Replace All 
> >    remains pushed down on the screen.
> > 4. Save the file with a desired new name. 
> > 5. Close the file.
> > 6. Close LibreOffice.
> > 7. Repeat.
> > 
> > If I click anywhere in any application during the Replace All edit, then
> > LibreOffice stops responding, and then I have to kill the operation / task.
> > So I follow the above steps.
> 
> Is it not enough to close the Find&Replace dialog when Replace All has
> finished, that is right after 3?
> 
> Best regards. JBF

This is correct. I have attempted several different sequences. But what I outlined above works without locking up Libre. I usually wait a minute or two before opening up the file to repeat the process for the next change. Otherwise if I don't, then I get "Not Responding". 

Thank you for asking.

Best regards, VW
Comment 14 Thomas Lendo 2017-10-08 19:15:04 UTC
Does the problem still exist in a current 5.4.x LibreOffice?
Comment 15 Vince Wilyard 2017-10-09 00:02:06 UTC
(In reply to Thomas Lendo from comment #14)
> Does the problem still exist in a current 5.4.x LibreOffice?

Hello Thomas,

Thank you for responding to my question. I have only tried it in 5.3.x of LibreOffice. Have not downloaded 5.4.x yet.
Comment 16 Thomas Lendo 2017-10-09 07:33:49 UTC
(In reply to Vince Wilyard from comment #15)
> Thank you for responding to my question. I have only tried it in 5.3.x of
> LibreOffice. Have not downloaded 5.4.x yet.
Hello Vince, you can try a portable version of 5.4 [1] if you want or a stable installable version of 5.4 [2] or even the best would be if you test with a current master build of LibreOffice 6 for Windows [3], Linux [4] or MacOS [5]. If there are any problems, you can find further installation tips in the wiki [6].


[1] http://download.documentfoundation.org/libreoffice/portable/
[2] http://download.documentfoundation.org/libreoffice/stable/5.4.2/
[3] 64-bit: http://dev-builds.libreoffice.org/daily/master/Win-x86_64@42/current/ or 32-bit: http://dev-builds.libreoffice.org/daily/master/Win-x86@42/current/
[4] 64-bit: http://dev-builds.libreoffice.org/daily/master/Linux-rpm_deb-x86_64@70-TDF/current/ or 32-bit: http://dev-builds.libreoffice.org/daily/master/Linux-rpm_deb-x86@71-TDF/current/
[5] http://dev-builds.libreoffice.org/daily/master/MacOSX-x86_64@49-TDF/current/
[6] https://wiki.documentfoundation.org/Installing_in_parallel
Comment 17 QA Administrators 2018-05-02 15:46:23 UTC Comment hidden (obsolete)
Comment 18 QA Administrators 2018-05-30 16:47:17 UTC
Dear Bug Submitter,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-20180530